#96 Occasional hardfail with header.i=unknown

v2.4.0
closed
3
2007-12-29
2007-12-13
Gary Mills
No

I don't know if this is a result of the header mismatching, but I occasionally see Authentication-Results headers like this.
The first part is envelope information from a DCC log.
Next are the actual headers.

VERSION: 3
DATE: 12/12/07 09:37:05 CST
IP: ausias.europa3.com ::ffff:217.13.82.80
HELO: ausias.europa3.com
env_From: <anonymous@ausias.europa3.com> mail_host=ausias.europa3.com.
env_To: <maratx@cc.umanitoba.ca> addr=maratx dir=/var/dcc/ud/local/maratx

Authentication-Results: electra.cc.umanitoba.ca; dkim=hardfail (SSP) header.i=unknown
Received: (qmail 24456 invoked by uid 33); 12 Dec 2007 15:48:50 +0100
Date: 12 Dec 2007 15:48:50 +0100
Message-ID: <20071212144850.24454.qmail@ausias.europa3.com>
To: maratx@cc.umanitoba.ca
Subject: REF# 3107 Important Information Regarding Your Account
From: NatWest <membersvc@l.natwest.com>
Reply-To: membersvc@l.natwest.com
MIME-Version: 1.0
Content-Type: text/html
Content-Transfer-Encoding: 8bit

Discussion

  • Anonymous - 2007-12-13

    Logged In: YES
    user_id=1048957
    Originator: NO

    The From: header's domain name is "l.natwest.com". Among the steps of the DKIM SSP draft is an MX lookup of the From: header. When I do an MX lookup of that name I get back NXDOMAIN. SSP's algorithm takes that input and decides the message is suspicious, so the filter is indicating this via "hardfail (SSP)".

    The Authentication-Results draft says DKIM failures have to report header.i (the signature's "i=" tag) but this message was unsigned so the filter uses "unknown" as its value.

    The newest A-R draft actually has "dkim-ssp" as a separate authentication mechanism. The filter just hasn't been updated to use that yet. What you'll see in a future release is something more like:

    Authentication-Results: electra.cc.umanitoba.ca; dkim-ssp=hardfail
    header.from=membersvc@l.natwest.com

     
  • Anonymous - 2007-12-13
    • priority: 5 --> 3
    • assigned_to: nobody --> sm-msk
     
  • Anonymous - 2007-12-14
    • status: open --> pending
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks